Page Summary
-
This page details how to get a channel for a partner or advertiser using an HTTP GET request.
-
The request URL includes path parameters for
partnerIdandchannelId. -
An optional query parameter,
advertiserId, can be used to specify the advertiser that owns the channel. -
The request body for this method must be empty.
-
A successful response returns a
Channelobject.
Gets a channel for a partner or advertiser.
HTTP request
GET https://displayvideo.googleapis.com/v1beta2/partners/{partnerId}/channels/{channelId}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
channelId |
Required. The ID of the channel to fetch. |
partnerId |
The ID of the partner that owns the fetched channel. |
Query parameters
| Parameters | |
|---|---|
advertiserId |
The ID of the advertiser that owns the fetched channel. |
Request body
The request body must be empty.
Response body
If successful, the response body contains an instance of Channel.
Authorization Scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/display-video
For more information, see the OAuth 2.0 Overview.